Get policy violations for a scan
curl --request GET \
--url https://api-eu.cybedefend.com/projects/{projectId}/scans/{scanId}/violations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-eu.cybedefend.com/projects/{projectId}/scans/{scanId}/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-eu.cybedefend.com/projects/{projectId}/scans/{scanId}/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"violations": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"policyId": "550e8400-e29b-41d4-a716-446655440001",
"projectId": "550e8400-e29b-41d4-a716-446655440002",
"scanId": "550e8400-e29b-41d4-a716-446655440003",
"organizationId": "550e8400-e29b-41d4-a716-446655440004",
"actionTaken": "BLOCK",
"affectedVulnerabilitiesCount": 12,
"rule": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"action": "<string>",
"description": "<string>",
"value": {},
"operator": "<string>",
"criteria": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>",
"value": {},
"operator": "<string>"
}
]
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"affectedVulnerabilities": [
{
"id": "<string>",
"name": "<string>",
"severity": "<string>",
"vulnerabilityType": "<string>",
"cvssScore": 123,
"cwe": [
"<string>"
],
"owaspTop10": [
"<string>"
],
"filePath": "<string>",
"startLine": 123,
"endLine": 123,
"branch": "<string>",
"packageName": "<string>",
"packageVersion": "<string>",
"artifactName": "<string>"
}
]
}
],
"total": 10,
"page": 1,
"limit": 50
}Violations
Get policy violations for a scan
GET
/
projects
/
{projectId}
/
scans
/
{scanId}
/
violations
Get policy violations for a scan
Authorizations
JWT access token.
⌘I